fn main() {
    let raw = std::fs::read_to_string("input.txt").expect("Couldn't read input");
    let mut left = Vec::new();
    let mut right = Vec::new();
    for line in raw.split("\n") {
        if line.is_empty() {
            continue;
        }
        let split = line
            .split("   ")
            .map(|x| x.parse())
            .collect::<Result<Vec<u32>, _>>()
            .unwrap();
        left.push(split[0]);
        right.push(split[1]);
    }
    left.sort();
    right.sort();
    let first = left
        .iter()
        .zip(right.iter())
        .map(|(a, b)| a.max(b) - a.min(b))
        .fold(0, |a, b| a + b);
    println!("{}", first);
    let second = left
        .iter()
        .map(|a| *a * right.iter().filter(|b| *a == **b).count() as u32)
        .fold(0, |a, b| a + b);
    println!("{}", second);
}
